[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.GetTextWithoutSpaceChar

Gets the value for the control without the Space character literal used in the edit mask.

## Declaration

Source position: maskedit.pp line 273

`protected function TCustomMaskEdit.GetTextWithoutSpaceChar(`
`Value: TCaption`
`):TCaption;`

## Arguments

`Value` |  | Masked caption value examined and converted in the method.

## Function result

Text value for the control after the SpaceChar literal is converted to its conventional representation (#32).

## Description

GetTextWithoutSpaceChar is similar to GetTextWithoutMask - but leaves mask literals other than SpaceChar intact. It replaces all occurrences of SpaceChar that are not used as a mask literal with #32.

GetTextWithoutSpaceChar is used in the implementation of the Delphi compatible FormatMaskText routine.

## See also

FormatMaskText |  | Applies an edit mask to the specified string value.